# Uses of Interface
org.apache.zookeeper.server.quorum.flexible.QuorumVerifier

Packages that use QuorumVerifier
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible

## Uses of QuorumVerifier in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as QuorumVerifier
Modifier and Type
Field
Description
`QuorumVerifier`
Request.`qv`
Methods in org.apache.zookeeper.server with parameters of type QuorumVerifier
Modifier and Type
Method
Description
`void`
ZKDatabase.`initConfigInZKDatabase(QuorumVerifier qv)`

## Uses of QuorumVerifier in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as QuorumVerifier
Modifier and Type
Field
Description
`protected QuorumVerifier`
QuorumPeerConfig.`lastSeenQuorumVerifier`
`protected QuorumVerifier`
QuorumPeerConfig.`quorumVerifier`
Methods in org.apache.zookeeper.server.quorum that return QuorumVerifier
Modifier and Type
Method
Description
`QuorumVerifier`
QuorumPeer.`configFromString(String s)`
`QuorumVerifier`
QuorumPeer.`getLastSeenQuorumVerifier()`
Return QuorumVerifier object for the last proposed configuration.
`QuorumVerifier`
QuorumPeerConfig.`getLastSeenQuorumVerifier()`
`QuorumVerifier`
QuorumPeer.`getQuorumVerifier()`
Return QuorumVerifier object for the last committed configuration.
`QuorumVerifier`
QuorumPeerConfig.`getQuorumVerifier()`
`QuorumVerifier`
SyncedLearnerTracker.QuorumVerifierAcksetPair.`getQuorumVerifier()`
`static QuorumVerifier`
QuorumPeerConfig.`parseDynamicConfig(Properties dynamicConfigProp, int eAlg, boolean warnings, boolean configBackwardCompatibilityMode, String oraclePath)`
Parse dynamic configuration file and return quorumVerifier for new configuration.
`QuorumVerifier`
QuorumPeer.`setQuorumVerifier(QuorumVerifier qv, boolean writeToDisk)`
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumVerifier
Modifier and Type
Method
Description
`void`
SyncedLearnerTracker.`addQuorumVerifier(QuorumVerifier qv)`
`boolean`
Leader.`isQuorumSynced(QuorumVerifier qv)`
Returns true if a quorum in qv is connected and synced with the leader and false otherwise
`boolean`
QuorumPeer.`processReconfig(QuorumVerifier qv, Long suggestedLeaderId, Long zxid, boolean restartLE)`
`void`
QuorumPeer.`restartLeaderElection(QuorumVerifier qvOLD, QuorumVerifier qvNEW)`
`void`
QuorumPeer.`setLastSeenQuorumVerifier(QuorumVerifier qv, boolean writeToDisk)`
`QuorumVerifier`
QuorumPeer.`setQuorumVerifier(QuorumVerifier qv, boolean writeToDisk)`
`static void`
QuorumPeerConfig.`writeDynamicConfig(String dynamicConfigFilename, QuorumVerifier qv, boolean needKeepVersion)`
Writes dynamic configuration file
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumVerifier
Modifier
Constructor
Description
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File snapDir, File logDir, int clientPort, int electionAlg, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, QuorumVerifier quorumConfig)`
This constructor is only used by the existing unit test code.
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File dataDir, File dataLogDir, int electionType, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, boolean quorumListenOnAllIPs, ServerCnxnFactory cnxnFactory, QuorumVerifier quorumConfig)`
``
`QuorumVerifierAcksetPair(QuorumVerifier qv, HashSet<Long> ackset)`

## Uses of QuorumVerifier in org.apache.zookeeper.server.quorum.flexible

Classes in org.apache.zookeeper.server.quorum.flexible that implement QuorumVerifier
Modifier and Type
Class
Description
`class`
`QuorumHierarchical`
This class implements a validator for hierarchical quorums.
`class`
`QuorumMaj`
This class implements a validator for majority quorums.
`class`
`QuorumOracleMaj`